net.corda.core.contracts

## Class PartyAndReference

- net.corda.core.contracts.PartyAndReference

-     public class PartyAndReference

  Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartyAndReference(AnonymousParty party, OpaqueBytes reference)` Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.
    `PartyAndReference(Party party, OpaqueBytes reference)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnonymousParty` | `component1()`
    `OpaqueBytes` | `component2()`
    `PartyAndReference` | `copy(AnonymousParty party, OpaqueBytes reference)` Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.
    `boolean` | `equals(java.lang.Object p)`
    `AnonymousParty` | `getParty()`
    `OpaqueBytes` | `getReference()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### PartyAndReference

          public PartyAndReference(AnonymousParty party,
                                   OpaqueBytes reference)

      Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.

    - #### PartyAndReference

          public PartyAndReference(Party party,
                                   OpaqueBytes reference)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getParty

          public AnonymousParty getParty()

    - #### getReference

          public OpaqueBytes getReference()

    - #### component1

          public AnonymousParty component1()

    - #### component2

          public OpaqueBytes component2()

    - #### copy

          public PartyAndReference copy(AnonymousParty party,
                                        OpaqueBytes reference)

      Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so it's meaningless to anyone other than the party.

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)